/*!
 * \file gpio_ctrl_if.h
 * \brief GPIO ドライバ
 * \author Hisashi IIDA
 *
 * \note
 * Copyright(C) 2014 Yamaha Corporation<br>
 * All rights reserved.<br>
 * $Id:$
 */
#ifndef __GPIO_CTRL_IF_H__
#define __GPIO_CTRL_IF_H__

#ifndef __KERNEL__
#include <sys/ioctl.h>      /* for _IOWR macro */
#endif

#define GPIO_CTRL_IOCTL_TYPE (0x15) /*! XXX */

#define GPIO_CTRL_DEV_NAME   "gpio_ctrl"

enum {
    GPIO_CTRL_PORT_PHY_N_RST,
    GPIO_CTRL_PORT_NCPU_ADT_MUTE,
};

typedef struct gpio_ctrl_ioctl_param {
    unsigned long port;         /* GPIO_CTRL_PORT_xxx   */
    unsigned long direction;    /* 1: output / 0: input */
    unsigned long value;        /* 1: high   / 0: low   */
} gpio_ctrl_ioctl_param;

#define GPIO_CTRL_IOCTL_CMD_PARAM \
    _IOWR(GPIO_CTRL_IOCTL_TYPE, 1, gpio_ctrl_ioctl_param)

#endif /* __GPIO_CTRL_H__ */
