/*!
 * \file spi_flash.h
 * \brief SPI Flash Driver
 * \author Hisashi IIDA
 *
 * \note
 * Copyright(C) 2014 Yamaha Corporation<br>
 * All rights reserved.<br>
 * $Id:$
 */
#ifndef __SPI_FLASH_H__
#define __SPI_FLASH_H__

#define SPI_FLASH_DEVICE_NAME               "spi_flash_turbo"

typedef struct spiFlashFastReadParam {
    char          *buf;
    unsigned long addr;
    unsigned long size;
} spiFlashFastReadParam;

typedef struct spiFlashEraseParam {
    unsigned long addr;
} spiFlashEraseParam;

typedef struct spiFlashWriteParam {
    char          *buf;
    unsigned long addr;
    unsigned long size;
} spiFlashWriteParam;

#define SPI_FLASH_PASE_SIZE         (64 * 1024)
#define SPI_FLASH_READ_SIZE         (32 * 1024)

#define SPI_FLASH_IOCTL_TYPE (0x18) /*! XXX */

#define SPI_FLASH_IOCTL_CMD_FAST_READ       _IOWR(SPI_FLASH_IOCTL_TYPE, 1, spiFlashFastReadParam)
#define SPI_FLASH_IOCTL_CMD_ERASE           _IOWR(SPI_FLASH_IOCTL_TYPE, 2, spiFlashEraseParam)
#define SPI_FLASH_IOCTL_CMD_WRITE           _IOWR(SPI_FLASH_IOCTL_TYPE, 3, spiFlashWriteParam)

#endif /* __SPI_FLASH_H__ */
